Item (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.management.model

## Class Item

- java.lang.Object
- - org.apache.geode.management.model.Item

- All Implemented Interfaces:
    java.io.Serializable

      public class Item
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Item()`
    `Item(Order order, java.lang.String itemId, java.lang.String itemDescription)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getItemDescription()`
    `java.lang.String` | `getItemId()`
    `Order` | `getOrder()`
    `void` | `setItemDescription(java.lang.String itemDescription)`
    `void` | `setItemId(java.lang.String itemId)`
    `void` | `setOrder(Order order)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Item

          public Item()

    - #### Item

          public Item(Order order,
                      java.lang.String itemId,
                      java.lang.String itemDescription)

  - ### Method Detail

    - #### getOrder

          public Order getOrder()

      Returns:
        the order

    - #### setOrder

          public void setOrder(Order order)

      Parameters:
        `order` - the order to set

    - #### getItemId

          public java.lang.String getItemId()

      Returns:
        the itemId

    - #### setItemId

          public void setItemId(java.lang.String itemId)

      Parameters:
        `itemId` - the itemId to set

    - #### getItemDescription

          public java.lang.String getItemDescription()

      Returns:
        the itemDescription

    - #### setItemDescription

          public void setItemDescription(java.lang.String itemDescription)

      Parameters:
        `itemDescription` - the itemDescription to set

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`